org.apache.struts2.json

## Class JSONConstants

- java.lang.Object
- - org.apache.struts2.json.JSONConstants

-     public class JSONConstants
      extends Object

  Class consisting of various constant values being used controlling JSON plugin behaviour

  These values can be overridden using struts.xml file by providing custom values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATE_FORMAT`
    `static String` | `JSON_MAX_DEPTH`
    `static String` | `JSON_MAX_ELEMENTS`
    `static String` | `JSON_MAX_KEY_LENGTH`
    `static String` | `JSON_MAX_LENGTH`
    `static String` | `JSON_MAX_STRING_LENGTH`
    `static String` | `JSON_WRITER`
    `static String` | `RESULT_EXCLUDE_PROXY_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSON_WRITER

          public static final String JSON_WRITER

      See Also:
        Constant Field Values

    - #### RESULT_EXCLUDE_PROXY_PROPERTIES

          public static final String RESULT_EXCLUDE_PROXY_PROPERTIES

      See Also:
        Constant Field Values

    - #### DATE_FORMAT

          public static final String DATE_FORMAT

      See Also:
        Constant Field Values

    - #### JSON_MAX_ELEMENTS

          public static final String JSON_MAX_ELEMENTS

      See Also:
        Constant Field Values

    - #### JSON_MAX_DEPTH

          public static final String JSON_MAX_DEPTH

      See Also:
        Constant Field Values

    - #### JSON_MAX_LENGTH

          public static final String JSON_MAX_LENGTH

      See Also:
        Constant Field Values

    - #### JSON_MAX_STRING_LENGTH

          public static final String JSON_MAX_STRING_LENGTH

      See Also:
        Constant Field Values

    - #### JSON_MAX_KEY_LENGTH

          public static final String JSON_MAX_KEY_LENGTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JSONConstants

          public JSONConstants()

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.